program Quanc8_Simpson_Test; {$N+,E+,F+}
uses Integral;
var
  NoFun : Integer;
  A, B, AbsErr, RelErr, Result, ErrEst, Flag : RealType;

function Fun(x : RealType) : RealType;
begin
  if x = 0 then Fun := 1 else Fun := Sin(x)/x
end;

begin
  A := 0; B := 2; RelErr := 1E-10; AbsErr := 0;
  Quanc8(Fun, A, B, AbsErr, RelErr,
		Result, ErrEst, NoFun, Flag);
  WriteLn('Quanc8 = ', Result:12:10, ' ErrEst = ', ErrEst,
		' NoFun = ', NoFun);
  WriteLn('Simpson = ', Simpson(Fun, A, B, NoFun):12:10)
end { Quanc8_Simpson_Test }.