program Spline_Interpolation; {$N+,E+}
uses SplinUNT;
const
  N = 10;
type
  SplineType = array [1..N] of RealType;
var
  i : Integer;
  U : RealType;
  X, Y, B, C, D : SplineType;

begin
  for i := 1 to N do
  begin
    X[i] := i; Y[i] := X[i]*Sqr(X[i])
  end;
  Spline(N, X, Y, B, C, D);
  for i := 1 to N-1 do
  begin
    U := i + 0.5;
    WriteLn(U:5:2,
      Seval(N, U, X, Y, B, C, D):12:5, U*Sqr(U):12:5)
  end
end { Spline_Interpolation }.