unit Simula; {$N+,E+,F+}

{   祭  楤  ᫥ 襭
⥬ 몭 ७樠 ࠢ ந쭮
浪: 楤 RKF45, ॠ  㭣--
-졥࣠ 4...5- 浪  ⮬᪨ 롮஬ 蠣,
 楤 Runge, ࠡ  ᪮ 奬 㭣-
- 4- 浪  䨪஢ 蠣. }

	INTERFACE

type
  RealType = Extended; {  ⢥ ⨯ }
const
  ArraySize = (2*MaxInt) div SizeOf(RealType);
type
  ArrayType = array [1..ArraySize] of RealType;
  ProcType = procedure (T : RealType; var Y, YP);

procedure RKF45(F : ProcType; { 楤 ᫥ ࠢ
		⥩ ⥬ ७樠 ࠢ }
	NENQ : Integer; { - ७樠 ࠢ }
	var Y; {  室 - 砫 ᫮,
		 室 -  襭 }
	var T : RealType; {  室 - 砫쭠 窠
		⥣஢,  室 - ⨣⮥
		祭 ᨬ ६;
		筮  室 T = TOUT }
	TOUT : RealType; { 筠 窠 ⥣஢ }
	var RelErr : RealType; {  ࠭ ⭮⥫쭮
					譮 }
	AbsErr : RealType; {  ࠭ ᮫⭮
					譮 }
	var Iflag : Integer; { ⥫ ० ⥣஢ }
	var Work, IWorkI { 稥 ᨢ });
   { ⮤ 㭣--졥࣠ 4...5 浪. ⠢⥫
ணࠬ:  H. A. Watts, L. F. Shampine. SANDIA LABORATORIES,
ALBUQUERQUE, NEW MEXICO.
   楤 RKF45 -  ஬筠 ணࠬ, 
 ᮪頥  짮⥫  ᯨ᮪ 맮 ⥬
饯  ࠡ ᨢ.  ⢨⥫쭮, RKF45
-  ணࠬ 䥩,  뢠 楤 RKFS,
⢫  襭. RKFS,  ᢮ ।, 뢠
楤 FEHL,   襭   蠣.  
,    楤 㭣--졥࣠, ॠ-
  ⮬ 㫥, 뢠 RKF45.
   RKF45 ।祭  ࠧ  㬥७ -
 ७樠 ࠢ,  ᫥ ந-
  易  ⥫묨 ⠬ ६. RKF45,
 ,  ᫥ ᯮ짮, ᫨ ॡ
᮪ 筮.
   楤 RKF45 ਬ  ⥣஢  T 
TOUT,    ᯮ짮   蠣 ⥣-
, ⮡ த 襭   蠣  ࠢ TOUT.
 室 ࠬࠬ, 䨣騬  ᯨ᪥ 맮, ᢠ-
 祭, 室  த ⥣஢.
짮⥫ 㦭   ࠧ   RKF45 , -
, ।  祭  TOUT.
   RKF45 ᯮ ⮤ 㭣--졥࣠, ᠭ 
᫥饩 㡫樨: E. Fehlberg. Low-Order Classical
Runge-Kutta Formulas with Stepsize Control, NASA TR R-315.
   ⨫ ࠡ RKF45   ᫥饩 㡫樨:
L. E. Shampine, H. A. Watts, S. Davenport. Solving Non-Stiff
Ordinary Differential Equations - The State of the Art.
SANDIA LABORATORIES REPORT SAND75-0182, SIAM REVIEW,
18 (1976), N3, 376-411.
		 :
  F - 楤 F(T, Y, YP)  ᫥ ந
	YP[i] = dY[i]/dT;
  NENQ - ᫮ ⥣㥬 ࠢ;
  Y[*] - 襭  窥 T;
  T - ᨬ ६;
  TOUT - 窠 室,  ன 㦭 । 襭;
  RelErr, AbsErr - ࠭ ⭮⥫쭮  ᮫⭮ -
   쭮 訡.   蠣 ணࠬ
ॡ 믮 ᫮:
	Abs(쭠 訡) = RelErr * Abs(Y[i]) + AbsErr
   ஢ 쭮 訡  襭;
  Iflag - 㪠⥫ ० ⥣஢;
  Work - ᨢ, ᮤঠ騩 ७  RKF45 ଠ,
 室  ᫥ 맮.  ࠧ୮
    3 + 6*NENQ;
  IWork - 楫᫥ ᨢ, ᮤঠ騩 ७ 
RKF45 ଠ,  室  ᫥ 맮.
 ࠧ୮     5.
     RKF45. 짮⥫  ।ᬮ
 ᢮ 뢠饩 ணࠬ   ᫥ 䨣
 ᯨ᪥ 맮 ᨢ: Y[1..NENQ], Work[1..3+6*NENQ],
IWork[1..5] (ᨢ Y  Work ⨯ RealType,  ᨢ IWork -
⨯ Integer). ஬ ⮣, 㦭 ⮢ 楤
F(T, Y, YP)  ᢮ 砫 祭 ࠬࠬ:
  NENQ - ᫮ ⥣㥬 ࠢ (NENQ = 1); ࠦ
⨯ Integer;
  Y[*] -  砫 ᫮ (⨯ RealType);
  T - 砫쭠 窠 ⥣஢ (⨯ RealType);
  TOUT - ࠦ ⨯ RealType : 窠 室,  ன
㦭  襭; T = TOUT    ࢮ -
;  ⮬ 砥, ᫨  த ⥣஢, 
室  RKF45 ந室  祭 ࠬ Iflag = 2;
  RelErr, AbsErr - ࠭ ⭮⥫쭮  ᮫⭮ -
⥩.  ࠭   ⥫. RelErr 
 ६ ⨯ RealType,  AbsErr    ⠭-
⮩ (ࠦ) ⮣  ⨯.  ᫥  ࠭
 ⭮⥫쭮 譮 , 祬 1E-8, ⮡ -
 㤭⥩, 易  祭 ᮪ ᠬ  -
. ணࠬ ॡ, ⮡ RelErr 뫠 , 祬 -
 ࠬ ⭮⥫쭮 訡, 塞  ண-
ࠬ  騩  ᮡ 設: (,  
ࠬ ࠢ 1E-12  㤢 祭 設 -
.  ࠡ  ᮯ஬    樨 設
ᨫ ⠢ 5.42101E-20,  ࠡ  ᮯ 
RealType = Real  稭 㤥 9.094947E-13.   -
祭, ࠧ㬥, ﭭ   IBM-ᮢ⨬ ,
 ७ ணࠬ  ࡮-᪠   "ᠩ .,
쪮 ., 㫥 . 設 ⮤ ⥬᪨ -
: .  .- .: , 1980.- 279 ." ࠭ -
  ਣ 楤 ᫥ 設 ᨫ -
 - ⮣ ⫨).  ⭮,  ࠧ蠥 
⮫쪮 ᮫ 訡. ᫨   祭 RelErr,
襥 ⨬,  RKF45 㢥稢 RelErr 騬
ࠧ  頥 ࠢ 짮⥫, ० 祬 -
 ⥣஢;
  Iflag -  室  ࠬ 㦨 㪠⥫ ० -
⥣஢,  室   頥  -
᪠ ଠ. ଠ쭮 室 祭 ࠬ ࠢ-
 +1. 짮⥫   Iflag = -1   ⮬ -
砥,  ਬ ० 蠣 ⥣஢. 
⮬ RKF45 ⠥ த 襭   蠣  ࠢ-
 TOUT   । 맮. ᪮  ० -
 쬠 祭,  ᫥ ᯮ짮   -
砥 ࠩ 室.
		  :
  Y[*] - 襭  窥 T;
  T - ᫥ 窠, ⨣  ⥣஢;
  Iflag = 2 -  ⥣஢ ⨣ TOUT.  祭
㪠뢠  ᯥ 室   ଠ ० 
த ⥣஢.
  Iflag = -2 - ।ਭ  ᯥ 蠣  ࠢ
TOUT,  ଠ ०  蠣 ⥣஢.
  Iflag = 3 - ⥣஢  祭 - ⮣,  -
 祭 RelErr  ᫨誮 .  த
⥣஢ RelErr  騬 ࠧ 㢥祭.
  Iflag = 4 - ⥣஢  祭 - ⮣,  -
ॡ  3000 ᫥ ந.  ᮮ⢥-
 ਡ⥫쭮 500 蠣.
  Iflag = 5 - ⥣஢  祭 - ⮣,  -
襭 ⨫  , ᫥⢨ 祣  ⮫쪮 ⭮-
⥫쭮 訡  ࠡᯮᮡ.  த 室
㫥 祭 ࠬ AbsErr. ᯮ짮   蠣
० 蠣 ⥣஢   ⮩ 樨 -
室  .
  Iflag = 6 - ⥣஢  祭 - ⮣,
 ॡ㥬 筮    ⨣ 
 襬 ⨬ 蠣. 짮⥫ 
㢥 ࠭ 譮, ० 祬  㤥
 த ⥣஢.
  Iflag = 7 -  ᥩ , RKF45 䥪⨢  -
 ⮩ . 誮 讥 ᫮ ॡ㥬 室 -
祪 ९ 롮 ⢥  蠣.  -
짮 ० 蠣 ⥣஢.
  Iflag = 8 - ࠢ쭮  室 ࠬ஢. 
祭 , ᫨ 饭   ᫥ 訡:
	- NENQ <= 0
	- (T = TOUT) and ((Iflag = 1) or (Iflag < -1))
	- (RelErr < 0) or (AbsErr < 0)
	- (Iflag = 0) or (Iflag <-2) or (Iflag > 8).
  Work[*], IWork[*] - ଠ,  筮  ।⠢-
   짮⥫,  室  ᫥
맮. Work[1]...Work[NENQ] ᮤঠ  ந -
 襭 Y  窥 T. Work[NENQ+1] ࠭ 稭 蠣 H,
 ன   믮 ᫥騩 蠣. IWork[1]
ᮤন 稪 ᫠ ᫥ ந.
     RKF45.  室 楤 RKF45 -
  ଠ, 室  த ⥣஢-
. ᫨  ⥣஢ 뫮 ⨣ TOUT,  짮-
⥫ 筮 ।  祭 TOUT  ᭮ -
  RKF45.  ० 蠣 ⥣஢ (Iflag = 2)
짮⥫    ,   蠣 믮 
ࠢ TOUT.  ⨦ TOUT (ᨣ㥬 -
 Iflag  +2) 짮⥫    祭
TOUT  ८। Iflag  -2, ⮡ த  ०
蠣 ⥣஢.
  ᫨ ⥣஢  뫮 祭,  짮⥫ 
 த (砩 Iflag = 3  4),   ᭮ -
頥  RKF45.  Iflag = 3 ࠬ RelErr  ⮬ -
 㦥  ணࠬ 騬 ࠧ.  砥, ᫨
Iflag = 4, 稪 ᫠ 祭 㭪樨 㤥 ८।
 0   ࠧ襭  3000 ᫥ 㭪樨.
    Iflag = 5, ० 祬 㤥 த ⥣-
, 짮⥫  ᭠砫  ਩ 訡,
 ⥫쭮 祭  AbsErr. ᫨   ᤥ
⮣, 믮 ணࠬ 㤥 ४饭.
  筮 ⠪ ,  Iflag = 6, ० 祬 த
⥣஢, 짮⥫ 室 ८।
Iflag  2 ( -2, ᫨ ᯮ ० 蠣
⥣஢)  㢥 祭 AbsErr / RelErr.
᫨ ⮣  㤥 ᤥ, 믮 ணࠬ ४-
.  Iflag = 6 㪠뢠  ॣ୮
(襭   , ,  ᮡ
⥣㥬 ⥬ ࠢ),     
  ᫠ த ⥣஢.
  ᫨ 㤥 祭 Iflag = 7,  짮⥫  ३-
  ० 蠣 ⥣஢  蠣, ।
ணࠬ,  ᬮ  室  ணࠬ,
ᯮ騥 ⮤ . ᫨   짮⥫  -
 ⥣஢  ணࠬ RKF45,    
饭   ८। Iflag  2,  ⨢ 砥
믮 ணࠬ 㤥 ४饭.
  ᫨ 祭 祭 Iflag = 8,  ⥣஢
 த,    ࠢ 訡
室 ࠬ.
  㦭 ⬥,  ᨢ Work  IWork ᮤঠ ଠ,
室  쭥襣 ⥣஢, ⮬  
ᨢ   . }

procedure Runge(F : ProcType; { 楤 ᫥ ࠢ
		⥩ ⥬ ७樠 ࠢ }
	NENQ : Integer; { - ७樠 ࠢ }
	var YI; {  室 - 砫 ᫮,
		 室 -  襭 }
	var T : RealType; {  室 - 砫쭠 窠
		⥣஢,  室 - ⨣⮥
		祭 ᨬ ६;
		筮  室 T = TOUT }
	TOUT : RealType; { 筠 窠 ⥣஢ }
	H : RealType; {  ⥣஢ }
	var Work { 稩 ᨢ  3*NENQ });
{ ᪨ ⮤ 㭣- 4- 浪  ﭭ
  蠣. 筮 襭  ᭮   ࠢ쭮
  롮 蠣 ⥣஢. ᪠ 襭   -
   (TOUT > T), ⠪   ⭮ (TOUT < T) ࠢ.
   ணࠬ ஫ 믮 ᫥ ᫮:
		NENQ > 0      H <> 0
   믮    ணࠬ ⠭ }

	IMPLEMENTATION

function Amax1(x, y : RealType) : RealType;
{  ᮮ⢥饩 ࠭᪮ 㭪樨 }
begin
  if x > y then Amax1 := x else Amax1 := y
end;

procedure RKF45(F : ProcType; NENQ : Integer; var Y;
	var T : RealType; TOUT : RealType;
	   var RelErr : RealType; AbsErr : RealType;
		var Iflag : Integer; var Work, IWorkI);
var
  W : ArrayType absolute Work;
  IWork : array [1..5] of Integer absolute IWorkI;
  k1, k2, k3, k4, k5, k6, k1m : Integer;

procedure RKFS(F : ProcType; NENQ : Integer; var YI;
	var T : RealType; TOUT, RelErr, AbsErr : RealType;
	   var Iflag : Integer; var YPI, HI, F1I, F2I, F3I,
		F4I, F5I; var SaveREI, SaveAEI, NFEI, KOPI;
			var InitI, JflagI, KflagI);
   { ⮤ 㭣--졥࣠ 4...5 浪. RKFS ⥣-
 ⥬ 몭 ७樠 ࠢ 1-
浪 (. ਩  楤 RKF45).
   ᨢ YP, F1, F2, F3, F4  F5 ࠧ୮ NENQ  -
 SaveRE, SaveAE, NFE, KOP, Init, Jflag  Kflag 뭥-
  ᯨ᮪ 맮, ⮡ ࠭  । 
୮ 饭. ⮬  祭   -
 짮⥫.
   ।  ।⠢ ࠬ:
	YP - ந  襭  窥 T;
	H - । ࠧ 蠣  । ⠯;
        NFE - 稪 ⢠ ᫥ 㭪樨; }
label 10, 40, 45, 50, 60, 65, 80, 100, 200;
const
  REMin = 1E - 12;
  { REMin -  쭮 ⨬ 祭  RelErr.
  ⪨   ⮩ ணࠬ  ᮪ 筮
  筮  祭 ண   ᯥ. }
  MaxNFE = 3000;
  { ⮨  ஫ ॡ, ⮡ -
  ⢮ ᫥ 㭪樨 뫮 ࠭祭 ਡ⥫쭮
  祭 ⠭ MaxNFE. ਭ⮥ 祭 ⮩ -
  ⠭ ᮮ⢥ ਬ୮ 500 蠣. }
var
  Y : ArrayType absolute YI;
  YP : ArrayType absolute YPI;
  H : RealType absolute HI;
  F1 : ArrayType absolute F1I;
  F2 : ArrayType absolute F2I;
  F3 : ArrayType absolute F3I;
  F4 : ArrayType absolute F4I;
  F5 : ArrayType absolute F5I;
  SaveRE : RealType absolute SaveREI;
  SaveAE : RealType absolute SaveAEI;
  NFE : Integer absolute NFEI;
  KOP : Integer absolute KOPI;
  Init : Integer absolute InitI;
  Jflag : Integer absolute JflagI;
  Kflag : Integer absolute KflagI;
  A, AE, DT, EE, EEOET, EstTol, ET, Hmin, RER, S, Scale,
  Tol, TolN, U26, EPS, YPK : RealType;
  k, MFlag : Integer;
  Hfaild, Output : Boolean;

procedure FEHL(F : ProcType; NENQ : Integer; var YI;
	var T : RealType; H : RealType; var YPI, F1I,
			F2I, F3I, F4I, F5I, SI);
{ 楤 FEHL ॠ  ᫥ ⥣-
 㭣--졥࣠ 4...5 浪  ।祭
 ⥣஢ ⥬  NENQ 몭 ७-
樠 ࠢ 1- 浪 ᫥饣 :
		dY[i]/dT = F(T, Y[1], ..., Y[NENQ]),
 砫 祭 Y[i]  砫 ந YP[i]
  窥 T; FEHL த 襭  䨪஢
蠣 H  頥  ᨢ S[*] ਡ  襭 
窥 T+H, 饥 5- 冷 筮 ( 冷
ࠢ );
   F1, ..., F5 - ᨢ ࠧ୮ NENQ, 室 -
 ணࠬ.  㫠 ந 㯯஢  楫
㬥   . ⮡  뫮 ࠧ
ࠧ ᨬ 㬥,  饭  FEHL  ᫥-
   H 祭, 訥 㬭  13
訡  㣫 T. }
var
  k : Integer;
  CH : RealType;
  Y : ArrayType absolute YI;
  YP : ArrayType absolute YPI;
  F1 : ArrayType absolute F1I;
  F2 : ArrayType absolute F2I;
  F3 : ArrayType absolute F3I;
  F4 : ArrayType absolute F4I;
  F5 : ArrayType absolute F5I;
  S : ArrayType absolute SI;
begin { FEHL }
  CH := H/4;
  for k := 1 to NENQ do
    F5[k] := Y[k] + CH*YP[k];
  F(T+CH, F5, F1);
  CH := 3*H/32;
  for k := 1 to NENQ do
    F5[k] := Y[k] + CH*(YP[k] + 3*F1[k]);
  F(T+3*H/8, F5, F2);
  CH := H/2197;
  for k := 1 to NENQ do
    F5[k] := Y[k] + CH*(1932*YP[k] +
      (7296*F2[k]-7200*F1[k]));
  F(T+12*H/13, F5, F3);
  CH := H/4104;
  for k := 1 to NENQ do
    F5[k] := Y[k] + CH*((8341*YP[k] - 845*F3[k]) +
      (29440*F2[k] - 32832*F1[k]));
  F(T+H, F5, F4);
  CH := H/20520;
  for k := 1 to NENQ do
    F1[k] := Y[k] + CH*((-6080*YP[k] + (9295*F3[k] -
      5643*F4[k])) + (41040*F1[k] - 28352*F2[k]));
  F(T+H/2, F1, F5);
  {  ਡ 襭  窥 T+H }
  CH := H/7618050;
  for k := 1 to NENQ do
    S[k] := Y[k] + CH*((902880*YP[k] + (3855735*F3[k] -
      1371249*F4[k])) + (3953664*F2[k] + 277020*F5[k]))
end { FEHL };

begin { RKFS }
  { ஢ 室 ࠬ: }
  MFlag := Abs(Iflag);
  if (NENQ < 1) or (RelErr < 0) or (AbsErr < 0)
    or (Mflag = 0) or (Mflag > 8) then
  begin
    { 訡  室 ଠ樨: }
    10: Iflag := 8; exit
  end;
  if Mflag = 1 then
  begin
    {  맮: ᫨ 設 ᨫ }
    EPS := 1;
    while 1 + EPS <> 1 do EPS := EPS / 2;
    U26 := 26 * EPS
  end
  else begin
    {   맮: ஢  த }
    if (T = TOUT) and (Kflag <> 3) then goto 10;
    if Mflag = 2 then
    begin
      if (Kflag = 3) or (Init = 0) then goto 45;
      if Kflag = 4 then goto 40;
      if (Kflag = 5) and (AbsErr = 0) or
	(Kflag = 6) and (RelErr <= SaveRE)
	  and (AbsErr <= SaveRE) then Halt;
      goto 50
    end
    else begin
      if (Iflag = 3) or (Iflag = 5) and (AbsErr > 0)
	then goto 45;
      if Iflag = 4 then goto 40;
      Halt
    end;
    { ८। 稪 ᫠ ᫥ 㭪樨 }
    40: NFE := 0;
    if Mflag = 2 then goto 50;
    { ८। 祭 Iflag, ⠭ 
	।饬 饭 }
    45: Iflag := Jflag;
    if Kflag = 3 then Mflag := Abs(Iflag)
  end;
  { ࠭ 室 祭 Iflag  ⠭ 祭
	Kflag  饩 室 ஢ન }
  50: Jflag := Iflag;
  Kflag := 0;
  { ࠭ 祭 RelErr  AbsErr 
		᫥饩 ஢ન }
  SaveRE := RelErr;
  SaveAE := AbsErr;
  { ⠭ 祭 ࠭  ⭮⥫쭮 譮-
  , ࠢ   2*EPS+ReMin, ⮡  㤭-
  ⥩, 易  ॡ ⨦ 筮. }
  RER := 2*EPS + REMin;
  if RelErr < RER then
  begin
    {  ࠭ ⭮⥫쭮 譮 ᫨誮  }
    RelErr := RER;
    Iflag := 3;
    Kflag := 3;
    exit
  end;
  DT := TOUT - T;
  if Mflag = 1 then goto 60;
  if Init = 0 then goto 65;
  goto 80;
  { ᢮ 砫 祭 (樨஢):
    - ⠭ 祭 㪠⥫ 砭
      樨஢ Init;
    - ⠭ 祭 㪠⥫ ᫨誮 讣
      ॡ ᫠ 室 祪 KOP;
    - ⠭ 祭 稪 ᫠ ᫥
      㭪樨 NFE;
    - 業 砫  蠣. }
  60: Init := 0;
  KOP := 0;
  A := T;
  F(A, Y, YP);
  NFE := 1;
  if T = TOUT then
  begin
    Iflag := 2; exit
  end;
  65: Init := 1;
  H := Abs(DT);
  TolN := 0;
  for k := 1 to NENQ do
  begin
    Tol := RelErr*Abs(Y[k]) + AbsErr;
    if Tol <> 0 then
    begin
      TolN := Tol;
      YPK := Abs(Y[k]);
      if YPK*Sqr(H)*H*Sqr(H) > Tol then
	H := Exp(0.2*Ln(Tol/YPK))
    end
  end;
  if TolN <= 0 then H := 0;
  H := Amax1(H, U26*Amax1(Abs(T), Abs(DT)));
  if Iflag < 0 then Jflag := -2 else Jflag := 2;
  { ᢮ 蠣 , ᮮ⢥騩 ⥣஢ 
	ࠢ  T  TOUT }
  80: if DT > 0 then H := Abs(H) else H := -Abs(H);
  { ஢, ᪮쪮 쥧 ﭨ  RKF45 ᫨誮
	讣 ॡ ᫠ 室 祪 }
  if Abs(H) >= 2*Abs(DT) then Inc(KOP);
  if KOP >= 100 then
  begin
    { १ୠ  室 }
    KOP := 0;
    Iflag := 7;
    exit
  end;
  if Abs(DT) <= U26*Abs(T) then
  begin
    { ᫨ 祭   窥 室, ࠯஢
	१    楤 }
    for k := 1 to NENQ do Y[k] := Y[k] + DT*YP[k];
    A := TOUT;
    F(A, Y, YP);
    Inc(NFE); T := TOUT; Iflag := 2;
    exit
  end;
  { ᢮ 砫쭮 祭  窨 室 }
  Output := false;
  { ⮡  ࠢ 設 
   ᫥ 㭪樨  ࠭ 譮,
  ஬⠡஢  ࠭ }
  Scale := 2 / RelErr;
  AE := Scale * AbsErr;
  { 蠣 ⥣஢ }
  100: Hfaild := false;
  { ⠭  ⨬  蠣 }
  Hmin := U26*Abs(T);
  { ࠢ  室  蠣, ⮡ ⨣
  窨 室.    蠣 ।, ⮡ 
  ᫨誮 १    蠣  ⥬ ᠬ 㬥
  ﭨ 室 祪  ணࠬ }
  DT := TOUT - T;
  if Abs(DT) < Abs(H) then
  begin
    H := DT; Output := true
  end
  else if Abs(DT) < 2*Abs(H) then H := DT/2;
  {   . ࠭ 譮⥩
  뫨 ஬⠡஢, ⮡  ࠢ 設-
     ᫥ 㭪樨 ET  . ⮡ 
  饭   ⥫  , ⭮⥫쭠 訡
    । 祭 襭  砫  
  蠣.  㫥, 業饩 訡, ந 㯯஢-
   ᫠, 㬥   .
    ⮡ ࠧ  ᮡ ࠧ 㬥,  H 
  ᪠ 祭, 訥 㬭  26 訡 -
    T.  ࠪ᪨ ࠭祭  ᪮ -
   蠣, ⮡ ᣫ  롮    -
   १୮  ࠧ    襭 -
  뢭.  ।஦ ணࠬ  9/10  -
   蠣,  㦭   業.
    ᫨   蠣 뫠 㤠筠 ⪠,   -
  ஢ ᫥饣 㢥祭 蠣  ᪠.  -
  蠥 䥪⨢ ணࠬ    ࠧ뢠. }
  200: if NFE > MaxNFE then
  { ஢ ᫮ ᫥ ந. ᫨  
  ॢ蠥 ⠭ ।, ஡ த
  ⥣஢  T  T+H }
  begin
    { 誮  ࠡ }
    Iflag := 4; Kflag := 4; exit
  end;
  { த ਡ 襭   蠣  H }
  FEHL(F, NENQ, Y, T, H, YP, F1, F2, F3, F4, F5, F1);
  NFE := NFE + 5;
  { ᫨  ࠢ ⨬ ࠭  業
  쭮 訡,  ⥬  ⠡஢ ࠭.
  ,  ⭮⥫쭠 訡   ।
  祭 襭  砫    蠣 }
  EEOET := 0;
  for k := 1 to NENQ do
  begin
    ET := Abs(Y[k]) + Abs(F1[k]) + AE;
    if ET <= 0 then
    begin
      { ࠢ쭠 ࠭ 譮 }
      Iflag := 5; exit
    end;
    EE := Abs((-2090*YP[k] + (21970*F3[k] - 15048*F4[k])) +
	(22528*F2[k]-27360*F5[k]));
    EEOET := Amax1(EEOET, EE/ET)
  end;
  EstTol := Abs(H)*EEOET*Scale/52440;
  if EstTol > 1 then
  begin
    { 㤠 蠣.  蠣  ᭮ ஡.
	襭 ࠭稢 ᭨ ⥫ 1/10 }
    Hfaild := true;
    Output := false;
    if EstTol < 52049 then S := 0.9/Exp(0.2*Ln(EstTol))
      else S := 0.1;
    H := S * H;
    if Abs(H) > Hmin then goto 200 else
    begin
      {  ࠭ 訡 ⨦  
	襩 ⨬  蠣. }
      Iflag := 6; Kflag := 6; exit
    end
  end;
  { ᯥ 蠣.   ᨢ Y[*] 襭 
  窥 +  ᫨ ந  ⮩ 窥. }
  T := T + H;
  for k := 1 to NENQ do Y[k] := F1[k];
  A := T;
  F(A, Y, YP);
  Inc(NFE);
  {   ᫥饣 蠣. 祭 ࠭祭
  ⥫ 5. ᫨   蠣 뫠 㤠筠 ⪠,
    ᫥饣  ᪠ 롮 襣 蠣. }
  if EstTol > 1.889568E-4 then S := 0.9/Exp(0.2*Ln(EstTol))
    else S := 5;
  if Hfaild then if S > 1 then S := 1;
  S := Amax1(S*Abs(H), Hmin);
  if H < 0 then H := -S else H := S;
  {  蠣 ⥣. ஢, 㦭 
	 ᫥騩 蠣. }
  if not Output then
      if Iflag > 0 then goto 100 else Iflag := -2
    else Iflag := 2
end { RKFS };

begin { RKF45 }
  k1m := NENQ + 1;
  k1 := k1m + 1;
  k2 := k1 + NENQ;
  k3 := k2 + NENQ;
  k4 := k3 + NENQ;
  k5 := k4 + NENQ;
  k6 := k5 + NENQ;
  RKFS(F, NENQ, Y, T, TOUT, RelErr, AbsErr, Iflag, W[1],
    W[k1m], W[k1], W[k2], W[k3], W[k4], W[k5], W[k6], W[k6+1],
      IWork[1], IWork[2], IWork[3], IWork[4], IWork[5])
end { RKF45 };

procedure Runge(F : ProcType; NENQ : Integer; var YI;
  var T : RealType; TOUT : RealType; H : RealType; var Work);
const
  EPS : RealType = 0;
  { 設 ᨫ; 㫥 砫쭮 祭 ᯮ-
	  ਧ ࢮ 饭 }
var
  k : Integer;
  DT : RealType;
  W : array [1..3, 1..ArraySize div 3]
	of RealType absolute Work;
  Y : ArrayType absolute YI;
begin
  { ஢ ࠢ쭮 ࠬ஢ 맮 }
  if (NENQ <= 0) or (H = 0) then Halt;
  if EPS = 0 then
  {  맮: ᫨ 設 ᨫ.
     祭, 㬭  20 㤥 㦨
    ன  饭 T. }
  begin
    EPS := 1;
    while 1 + EPS / 2 <> 1 do EPS := EPS / 2;
    EPS := 20 * EPS
  end;
  { 砫 ᭮ 横. । ⥪饥 祭 蠣
	⠪, ⮡  筮   TOUT. }
  repeat
    F(T+0, Y, W);
    DT := TOUT - T;
    if Abs(DT) <= Abs(T)*EPS then
    { 襭 室  EPS-⭮ 窨 TOUT;
	࠯஢ १    楤 }
    begin
      for k := 1 to NENQ do Y[k] := Y[k] + DT*W[1,k];
      T := TOUT;
      exit
    end;
    if Abs(DT) < Abs(H) then H := DT;
    if DT < 0 then H := -Abs(H) else H := Abs(H);
    { ᭮ ᫥; W[1,*] 㦥 ᮤন ந
	 砫 蠣 }
    for k := 1 to NENQ do W[2,k] := Y[k] + H*W[1,k]/2;
    F(T+H/2, W[2,1], W[3,1]);
    for k := 1 to NENQ do
    begin
      W[1,k] := W[1,k] + 2*W[3,k];
      W[2,k] := Y[k] + H*W[3,k]/2
    end;
    F(T+H/2, W[2,1], W[3,1]);
    for k := 1 to NENQ do
    begin
      W[1,k] := W[1,k] + 2*W[3,k];
      W[2,k] := Y[k] + H*W[3,k]
    end;
    F(T+H, W[2,1], W[3,1]);
    for k := 1 to NENQ do
      Y[k] := Y[k] + H*(W[1,k] + W[3,k])/6;
    T := T + H
  until T = TOUT
end { Runge };

end { Simula }.