unit ZeroFun; {$N+,E+,F+}

	INTERFACE

type
  RealType = Extended;
  FunType = function(X : RealType) : RealType;

function ZeroIn(AX, BX : RealType; F : FunType;
			Tol : RealType) : RealType;
{ 楤 ⢫   㭪樨 F(x)  -
 [AX, BX].
		室 ଠ:
  AX  -   室 ࢠ
  BX  - ࠢ  室 ࢠ
  F   - 㭪,   F(x)   x  -
	ࢠ [AX, BX]
  Tol -   ࢠ । 筮
	१.
		室 ଠ:
  ZeroIn 頥 祭, ஥ ᮤন  x 
 ࢠ [AX, BX].
   ஢ન ,  F(AX)  F(BX)  ࠧ
. ZeroIn   F(x)   ࢠ
[AX, BX]  । ᪠  訡
		4 * MachEps * Abs(x) + Tol
  ,  MachEps - ⭮⥫쭠 設 筮. }

	IMPLEMENTATION

function ZeroIn(AX, BX : RealType; F : FunType;
		Tol : RealType) : RealType;
label 30, 70;
var
  A, B, C, D, E, Eps, FA, FB, FC, Tol1,
			XM, P, Q, R, S : RealType;
begin
  { ᫨ 設 ᨫ }
  Eps := 1; while 1 + Eps/2 <> 1 do Eps := Eps/2;
  { ᢮ 砫 祭 }
  A := AX; B := BX; FA := F(A); FB := F(B);
  {  蠣 }
  repeat
    C := A; FC := FA; D := B - A; E := D;
    30: if Abs(FC) < Abs(FB) then
    begin
      A := B; B := C; C := A;
      FA := FB; FB := FC; FC := FA
    end;
    { ஢ઠ 室 }
    Tol1 := 2*Eps*Abs(B) + Tol/2;
    XM := (C - B)/2;
    if (Abs(XM) <= Tol1) or (FB = 0) then
    begin
      { 砭 ࠡ  室 }
      ZeroIn := B; exit
    end;
    { 室  ᥪ ? }
    if (Abs(E) < Tol1) or (Abs(FA) <= Abs(FB)) then goto 70
    else begin
      {   筠 ௮ ? }
      if A = C then
      begin
	{  ௮ }
	S := FB/FA; P := 2*XM*S; Q := 1 - S
      end
      else begin
	{ ⭠ 筠 ௮ }
	Q := FA/FC; R := FB/FC; S := FB/FA;
	P := S*(2*XM*Q*(Q-R) - (B-A)*(R-1));
	Q := (Q-1) * (R-1) * (S-1)
      end;
      {   }
      if P > 0 then Q := -Q;
      P := Abs(P)
    end;
    {   筠 ௮ ? }
	{ ਥ  ௮ ? }
    if (2*P < 3*XM*Q - Abs(Tol1)*Q) and
				(P < Abs(E*Q/2)) then
    begin
      E := D; D := P/Q
    end
    else begin
      { ᥪ }
      70: D := XM; E := D
    end;
    {  蠣 }
    A := B; FA := FB;
    if Abs(D) > Tol1 then B := B + D else
      if XM < 0 then B := B - Abs(Tol1) else
	B := B + Abs(Tol1);
    FB := F(B);
    if FB*(FC/Abs(FC)) <= 0 then goto 30
  until false
end { ZeroIn };

end { ZeroFun }.